void send_response (p_request request, DO_* action)
                if (action == DO_MOVE_LEFT)
{
  ...
}

void send_response (p_request request, DO_* action)
                if (action == DO_MOVE_RIGHT)
{
  ...
}

void send_response (p_request request, DO_* action)
                if (action == DO_MOVE_UP)
{
  ...
}

void send_response (p_request request, DO_* action)
                if (action == DO_MOVE_DOWN)
{
  ...
}

void send_response (p_request request, DO_* action)
                if (action == DO_ERR_REQUEST)
{
  ...
}
